summaryrefslogtreecommitdiff
path: root/dev-python/dropbox
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/dropbox')
-rw-r--r--dev-python/dropbox/Manifest1
-rw-r--r--dev-python/dropbox/dropbox-12.0.0.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/dropbox/Manifest b/dev-python/dropbox/Manifest
index 312d1388e70d..99464a7c3adb 100644
--- a/dev-python/dropbox/Manifest
+++ b/dev-python/dropbox/Manifest
@@ -1 +1,2 @@
DIST dropbox-sdk-python-11.36.2.gh.tar.gz 1166700 BLAKE2B afd0592bd1e18416f91d1fd673f2b7b7f605eaab80c02a9d8535fefa7fb23c8bc6a08c191492e1ced5d4b2d17fa72e8e5b6a58ba797f170c0efb75e755a451c9 SHA512 ec27685b4e5344e706bffb68b110ef2d7b307a5865bed3e042d6835f3666d2eefca646627a07bae1a3142e5f0346865fe285b037b00f3da081eb5797f9a768f5
+DIST dropbox-sdk-python-12.0.0.gh.tar.gz 1155006 BLAKE2B dc75c8c0be5d8c44820cddf8e39b8e86180fc8ddc482ef4656ad5525e268f6f13fa1529138290205acd0a946b6d8d90a3df48aff9fb14f410d5c2c409ee399c3 SHA512 5cf28c0e338a3399e4448c64fde823bfc872a6a6a93dc25241c96f55c21abe194b9e882d32d098f4c329941f36d0dec79786e521f2686c7d4c0eeb64bd745f21
diff --git a/dev-python/dropbox/dropbox-12.0.0.ebuild b/dev-python/dropbox/dropbox-12.0.0.ebuild
new file mode 100644
index 000000000000..d487a01f4769
--- /dev/null
+++ b/dev-python/dropbox/dropbox-12.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+inherit distutils-r1
+
+GH_PN=dropbox-sdk-python
+
+DESCRIPTION="The offical Dropbox SDK for Python"
+HOMEPAGE="https://www.dropbox.com/developers"
+# pypi does not have tests, stick with gh
+SRC_URI="https://github.com/dropbox/${GH_PN}/archive/refs/tags/v${PV}.tar.gz -> ${GH_PN}-${PV}.gh.tar.gz"
+S="${WORKDIR}"/${GH_PN}-${PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/stone[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+# disable tests that need SCOPED_USER_DROPBOX_TOKEN
+# and tests that fail
+EPYTEST_DESELECT=(
+ test/integration/test_dropbox.py
+ test/unit/test_dropbox_unit.py::TestClient
+ test/unit/test_dropbox_unit.py::TestOAuth::test_NoRedirect_whole_flow
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # this is wrong
+ sed -i -e "s/^import mock$/from unittest import mock/" test/unit/test_dropbox_unit.py || die
+
+ distutils-r1_python_prepare_all
+}